%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% cv.cls
% Classe LaTeX : Curriculum Vitae
% Version : 1.0 (25/10/2001)
% Copyright (c) 2000 Philippe Roy
% Auteur : Philippe Roy <ph_roy@yahoo.com>
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Bugs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Underfull hbox ? -> t gentil, mais mon papier s'imprime

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Bibliothques
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}[1998/12/01]
\ProvidesClass{cv}[2000/06/20 v1.0 Curriculum Vitae]

\LoadClass[11pt,a4paper]{article}
\RequirePackage[french]{babel}
\RequirePackage[T1]{fontenc}
\RequirePackage[latin1]{inputenc}
\RequirePackage[french]{layout}
\RequirePackage{color}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Mise en page
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%\setlength{\textwidth}{19cm}{420pt}	%Largeur du corps
%\setlength{\textheight}{27.7cm}{680pt}	%Hauteur du corps
\setlength{\textwidth}{420pt}		%Largeur du corps
\setlength{\textheight}{720pt}		%Hauteur du corps
\setlength{\oddsidemargin}{0cm}		%Marge gauche
\setlength{\marginparsep}{0cm}		%Sparation droite entre corps et marge de notes
\setlength{\marginparwidth}{1cm}	%Largeur de la marge de notes

\setlength{\topmargin}{0cm}		%Marge haute
\setlength{\headheight}{0cm} 		%Hauteur de l'entte
\setlength{\headsep}{0cm} 		%Sparation basse entre corps et pied de page
\setlength{\footskip}{0cm} 		%Hauteur du pied de page
\setlength{\hoffset}{-30pt} 		%Bords gauche imprimeur
\setlength{\voffset}{-30pt} 		%Bords haut imprimeur

\pagestyle{empty}	

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% En-tte
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\CoordonneesData}{\mbox{}}
\newcommand{\Coordonnees}[1]{\renewcommand{\CoordonneesData}{#1}}

\newcommand{\TitreData}{\mbox{}}
\newcommand{\Titre}[1]{\renewcommand{\TitreData}{#1}}

\newcommand{\FaireEntete}
{
  \begin{tabbing}
    \mbox{

      % Coordonnes
      \makebox[9cm][l]{
      \begin{minipage}{8cm}
	\CoordonneesData
      \end{minipage}}

      % Titre
      {\setlength{\fboxsep}{5mm}\framebox[2\width]{
      \begin{minipage}{4.0cm}
        \textbf{\huge\TitreData}
      \end{minipage}}}
      }
  \end{tabbing}
  \vspace{6pt}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Gnrale
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\renewcommand{\arraystretch}{1.5}
\newcommand{\SectionData}{\mbox{}}
\newcommand{\Section}[1]{\renewcommand{\SectionData}{#1}}

\newcommand{\FaireSection}
{
  \vspace{10pt}
    \begin{tabbing}
      \begin{tabular}{|p{17cm}|}
	\hline
	\textbf{\Large{\SectionData}} \\
	\hline
      \end{tabular}
    \end{tabbing}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Objectif
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\ObjectifDataA}{\mbox{}}
\newcommand{\ObjectifA}[1]{\renewcommand{\ObjectifA}{#1}}

\newcommand{\FaireObjectif}
{	
  \vspace{10pt}
    \begin{tabbing}
      \ObjectifA
    \end{tabbing}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Exprience professionnelle
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\PosteData}{\mbox{}}
\newcommand{\Poste}[1]{\renewcommand{\PosteData}{#1}}

\newcommand{\PosteDateData}{\mbox{}}
\newcommand{\PosteDate}[1]{\renewcommand{\PosteDateData}{#1}}

\newcommand{\PosteEntrepriseData}{\mbox{}}
\newcommand{\PosteEntreprise}[1]{\renewcommand{\PosteEntrepriseData}{#1}}

\newcommand{\FairePoste}
{	
  \vspace{10pt}
    \begin{tabbing}
      \hspace{5cm}\= \kill
      \PosteDateData~:~\textbf{\PosteData}\\
      \PosteEntrepriseData
    \end{tabbing}
}

\newcommand{\PosteItemData}{\mbox{}}
\newcommand{\PosteItem}[1]{\renewcommand{\PosteItemData}{#1}}

\newcommand{\FairePosteItem}
{	
  \begin{tabbing}
    \hspace{1cm}\= \kill
    \>\parbox[t]{5pt}{-}
    \mbox{
      \begin{minipage}{16cm}
	\PosteItemData
	\vspace{7pt}
      \end{minipage}}
  \end{tabbing}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Formation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\FormationDataA}{\mbox{}}
\newcommand{\FormationA}[1]{\renewcommand{\FormationDataA}{#1}}
\newcommand{\FormationDataB}{\mbox{}}
\newcommand{\FormationB}[1]{\renewcommand{\FormationDataB}{#1}}
\newcommand{\FormationDataC}{\mbox{}}
\newcommand{\FormationC}[1]{\renewcommand{\FormationDataC}{#1}}
\newcommand{\FormationDataD}{\mbox{}}
\newcommand{\FormationD}[1]{\renewcommand{\FormationDataD}{#1}}

\newcommand{\FormationDateDataA}{\mbox{}}
\newcommand{\FormationDateA}[1]{\renewcommand{\FormationDateDataA}{#1}}
\newcommand{\FormationDateDataB}{\mbox{}}
\newcommand{\FormationDateB}[1]{\renewcommand{\FormationDateDataB}{#1}}
\newcommand{\FormationDateDataC}{\mbox{}}
\newcommand{\FormationDateC}[1]{\renewcommand{\FormationDateDataC}{#1}}
\newcommand{\FormationDateDataD}{\mbox{}}
\newcommand{\FormationDateD}[1]{\renewcommand{\FormationDateDataD}{#1}}

\newcommand{\FaireFormation}
{	
  \vspace{6pt}
  \begin{tabbing}
    \hspace{2.5cm}\= \kill
    \FormationDateDataA~:~\> \FormationDataA \\
    \FormationDateDataB~:~\> \FormationDataB \\
    \FormationDateDataC~:~\> \FormationDataC \\
    \FormationDateDataD~:~\> \FormationDataD
  \end{tabbing}
}

\newcommand{\FormationInformatiqueDataA}{\mbox{}}
\newcommand{\FormationInformatiqueA}[1]{\renewcommand{\FormationInformatiqueDataA}{#1}}
\newcommand{\FormationInformatiqueDataB}{\mbox{}}
\newcommand{\FormationInformatiqueB}[1]{\renewcommand{\FormationInformatiqueDataB}{#1}}
\newcommand{\FormationInformatiqueDataC}{\mbox{}}
\newcommand{\FormationInformatiqueC}[1]{\renewcommand{\FormationInformatiqueDataC}{#1}}
\newcommand{\FormationInformatiqueDataD}{\mbox{}}
\newcommand{\FormationInformatiqueD}[1]{\renewcommand{\FormationInformatiqueDataD}{#1}}

\newcommand{\FaireFormationInformatique}
{
  \vspace{2pt}
  \begin{tabbing}
    \hspace{2.5cm}\= \kill
    Informatique~:~\> \FormationInformatiqueDataA \\
    \> \FormationInformatiqueDataB
  \end{tabbing}
}

\newcommand{\FormationLanguesDataA}{\mbox{}}
\newcommand{\FormationLanguesA}[1]{\renewcommand{\FormationLanguesDataA}{#1}}
\newcommand{\FormationLanguesDataB}{\mbox{}}
\newcommand{\FormationLanguesB}[1]{\renewcommand{\FormationLanguesDataB}{#1}}

\newcommand{\FaireFormationLangues}
{	
  \vspace{2pt}
  \begin{tabbing}
    \hspace{2.5cm}\= \kill
      Langues~:~\> \FormationLanguesDataA
  \end{tabbing}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Loisirs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\InfosDataA}{\mbox{}}
\newcommand{\InfosA}[1]{\renewcommand{\InfosDataA}{#1}}
\newcommand{\InfosDataB}{\mbox{}}
\newcommand{\InfosB}[1]{\renewcommand{\InfosDataB}{#1}}

\newcommand{\FaireInfos}
{
  \vspace{6pt}
  \begin{tabbing}
    \hspace{2.5cm}\= \kill
    \mbox{
      \begin{minipage}{20cm}
	\InfosDataA \\
	\InfosDataB
      \end{minipage}}
  \end{tabbing}
}
